# PayPal .NET SDK

![Home Image](https://raw.githubusercontent.com/wiki/paypal/PayPal-NET-SDK/images/homepage.jpg)

[![Build Status](https://ci.appveyor.com/api/projects/status/github/paypal/paypal-net-sdk?svg=true)](https://ci.appveyor.com/project/paypal/paypal-net-sdk) [![NuGet](https://img.shields.io/nuget/v/PayPal.svg)](https://www.nuget.org/packages/PayPal) [![NuGet Downloads](https://img.shields.io/nuget/dt/PayPal.svg)](https://www.nuget.org/packages/PayPal)

The PayPal .NET SDK makes it easy to add PayPal support to your .NET web application and is built on [PayPal's REST APIs](https://developer.paypal.com/docs/api/).

> **Before using this SDK, please be aware of the [existing issues and currently available or upcoming features](https://github.com/paypal/rest-api-sdk-python/wiki/Existing-Issues-and-Unavailable%5CUpcoming-features) for the PayPal REST APIs.**

## Prerequisites

* .NET 4.0 or later

## Documentation

* [SDK Home Page](http://paypal.github.io/PayPal-NET-SDK/) - A great starting place for using this SDK; includes links to the wiki, sample project source code, releases, and more!
* [SDK Wiki](https://github.com/paypal/PayPal-NET-SDK/wiki)
  * [Getting Started](https://github.com/paypal/PayPal-NET-SDK/wiki#getting-started) - Everything you need to begin using this SDK.
  * [Quick Start](https://github.com/paypal/PayPal-NET-SDK/wiki/Quick-Start) - For those looking to hit the ground running!
  * [Samples](https://github.com/paypal/PayPal-NET-SDK/wiki/Samples)
  * [Classic SDK Compatibility](https://github.com/paypal/PayPal-NET-SDK/wiki/Classic-SDK-Compatibility)
  * [FAQ](https://github.com/paypal/PayPal-NET-SDK/wiki/Frequently-Asked-Questions)
  * [Contributing to the SDK](https://github.com/paypal/PayPal-NET-SDK/wiki/Contributing-to-the-SDK)

General documentation regarding the PayPal REST API and related payment flows can be found on the [PayPal Developer](https://developer.paypal.com/) site. 

* [PayPal Developer Documentation](https://developer.paypal.com/docs/)
* [PayPal REST API Reference](https://developer.paypal.com/webapps/developer/docs/api/)

## License

* PayPal, Inc. SDK License - [LICENSE.txt](https://github.com/paypal/PayPal-NET-SDK/blob/master/LICENSE.txt)

[![Bitdeli Badge](https://d2weczhvl823v0.cloudfront.net/paypal/PayPal-NET-SDK/trend.png)](https://bitdeli.com/free "Bitdeli Badge")
