//==============================================================================
//
//  This file was auto-generated by a tool using the PayPal REST API schema.
//  More information: https://developer.paypal.com/docs/api/
//
//==============================================================================
using System.Collections.Generic;
using Newtonsoft.Json;

namespace PayPal.Api
{
    /// <summary>
    /// A list of bank accounts returned from a search operation.
    /// <para>
    /// See <a href="https://developer.paypal.com/docs/api/">PayPal Developer documentation</a> for more information.
    /// </para>
    /// </summary>
    public class BankAccountList : PayPalRelationalObject
    {
        /// <summary>
        /// A list of bank account resources
        /// </summary>
        [JsonProperty(NullValueHandling = NullValueHandling.Ignore, PropertyName = "items")]
        public List<BankAccount> items { get; set; }

        /// <summary>
        /// Total number of items present in the given list. Note that the number of items might be larger than the records in the current page.
        /// </summary>
        [JsonProperty(NullValueHandling = NullValueHandling.Ignore, PropertyName = "total_items")]
        public int total_items { get; set; }

        /// <summary>
        /// Total number of pages that exist, for the total number of items, with the given page size.
        /// </summary>
        [JsonProperty(NullValueHandling = NullValueHandling.Ignore, PropertyName = "total_pages")]
        public int total_pages { get; set; }
    }
}
