//==============================================================================
//
//  This file was auto-generated by a tool using the PayPal REST API schema.
//  More information: https://developer.paypal.com/docs/api/
//
//==============================================================================
using Newtonsoft.Json;

namespace PayPal.Api
{
    /// <summary>
    /// Status of a payout transaction.
    /// <para>
    /// See <a href="https://developer.paypal.com/docs/api/">PayPal Developer documentation</a> for more information.
    /// </para>
    /// </summary>
    public enum PayoutTransactionStatus
    {
        /// <summary>
        /// The item has been successfully processed.
        /// </summary>
        SUCCESS,

        /// <summary>
        /// The item has been denied payment.
        /// </summary>
        DENIED,

        /// <summary>
        /// The item is awaiting payment.
        /// </summary>
        PENDING,

        /// <summary>
        /// The item is being processed.
        /// </summary>
        PROCESSING,

        /// <summary>
        /// Processing failed for the item.
        /// </summary>
        FAILED,

        /// <summary>
        /// The item is unclaimed. If the item is not claimed within 30 days, the funds will be returned to the sender.
        /// </summary>
        UNCLAIMED,

        /// <summary>
        /// The item is returned. The funds are returned if the recipient hasn't claimed them in 30 days.
        /// </summary>
        RETURNED,

        /// <summary>
        /// The item is on hold.
        /// </summary>
        ONHOLD,

        /// <summary>
        /// The item is blocked.
        /// </summary>
        BLOCKED,

        /// <summary>
        /// It is not possible for the CANCELLED state to occur if the sender is solely using the API to send Payouts.
        /// This status is an edge-case if a sender uses both the MassPay web upload and the Payouts API, cancels the
        /// web upload, and then uses the API to find the batch/items. In this case, CANCELLED status is possible.
        /// </summary>
        CANCELLED
    }
}
